Page MenuHomeFreeBSD

ixl: Fix mbuf hash type settings.
ClosedPublic

Authored by sepherosa_gmail.com on Sep 22 2017, 3:49 AM.

Details

Summary
IPV6_EXs in RSS never mean fragment.  They mean:
"- Home address from the home address option in the IPv6 destination
   options header.  If the extension header is not present, use the
   Source IPv6 Address.
 - IPv6 address that is contained in the Routing-Header-Type-2 from
   the associated extension header.  If the extension header is not
   present, use the Destination IPv6 Address."

UDP_IPV4_EX is an invalid RSS hash type, which will be removed.

Quoted from:
https://docs.microsoft.com/en-us/windows-hardware/drivers/network/rss-hashing-types#ndishashipv6ex

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Did microsoft update the referenced link? I don't see the removal notice in it.

Did microsoft update the referenced link? I don't see the removal notice in it.

The UDP_IPV4_EX was never defined. FreeBSD defined it by mistake.

erj accepted this revision.Sep 23 2017, 6:13 PM
This revision is now accepted and ready to land.Sep 23 2017, 6:13 PM
Closed by commit rS324051: ixl: Fix mbuf hash type settings. (authored by sephe, committed by ). · Explain WhySep 27 2017, 6:00 AM
This revision was automatically updated to reflect the committed changes.